<?php

session_start();
require_once 'config.php';
require_once 'functions.php';

if($_SESSION['admin']){
	$del = 'Удалить';
	
	if(isset($_GET['id'])){
		delPost($_GET['id']);
		header("Location: ".$_SERVER['PHP_SELF']);
		exit;
	}
}

if($_SERVER['REQUEST_METHOD'] == 'POST'){
	$res = addPost($_POST['name'], $_POST['email'], $_POST['msg']);
	
	if($res){
		$_SESSION['res'] = $res;
		//Эту строку мы получим как ответ от сервера при использовании AJAX
		echo $_SESSION['res'];
		exit;
	}else{
		$_SESSION['res'] = ERROR;
		//Эту строку мы получим как ответ от сервера при использовании AJAX
		echo $_SESSION['res'];
		$_SESSION['name'] = clearDataClient($_POST['name']);
		$_SESSION['email'] = clearDataClient($_POST['email']);
		exit;
	}
}

?>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru" lang="ru">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<script type="text/javascript" src="js/jquery-1.7.1.js"></script>
<script type="text/javascript" src="js/jquery-ui-1.8.17.custom.min.js"></script>
<script type="text/javascript" src="js/gb.js"></script>
<title>Гостевая книга</title>
<link rel="stylesheet" rev="stylesheet" type="text/css" href="style.css"  />
<link rel="stylesheet" rev="stylesheet" type="text/css" href="jquery-ui-1.8.17.custom.css"  />
</head>

<body>

<div id="gb_container">
	<h2> Гостевая книга </h2>
	
	<p class='open_form'>Добавить сообщение</p>
	
	<!--Контейнер для информирования о отправке сообщения-->
	<div id="add_mes"></div>
	
	<!--Новый контейнер для удобства работы-->
	<div id="form_wrap" title="Новое сообщение">
	
		<form id="mainform" action="" method="post">
			<p class="name">
				<input id="name" type="text" name="name" value="<?php echo $_SESSION['name'] ?>" />
				<label for="name">Имя</label>
			</p>
		
			<p class="email">
				<input type="text" id="email" name="email" value="<?php echo $_SESSION['email'] ?>" />
				<label for="email" >E-Mail</label>
			</p>
		
			<p class="msg">
				<textarea id="msg" name="msg" ></textarea>
			</p>
		
		<input name="send" type="hidden"  />
	</form>
	</div>
	
	<!--Контейнер, в который будут выводится новые сообщения-->
	<div id='new_msg'></div>
	<?php
	unset($_SESSION['res']);
	unset($_SESSION['name']);
	unset($_SESSION['email']);
	?>
	
	<?php
	
	$posts = selectAll();
	foreach($posts as $post){
	?>
	<div class = "msg_container">
		<div class="msg_header">
			<b><?php echo clearDataClient($post['name']) ?></b> <?php echo clearDataClient($post['email']) ?>
		</div>
			
		<div class="msg_body">
			<?php echo nl2br(bbTags(clearDataClient($post['post']))) ?>
		</div>
		<div class="msg_footer">
			Комментарий добавлен: <?php echo $post['date'] ?> <strong><a href="?id=<?php echo $post['id'] ?>"><?php echo $del ?></a></strong>
		</div>
	</div>
	<?php
	}
	
	?>
	
</div>

</body>
</html>