$(document).ready(function () {

//Скрываем контейнер
$("#add_mes").hide();
	
//описываем свойства диалога
$("#form_wrap").dialog({
	autoOpen: false,
	height: 450,
	width: 600,
	show: "blind",
	hide:"blind",
	modal: true,
	buttons: {
		"Отправить": function() {
			// код, который выполнится при нажатии на кнопку
						
			//Получаем значения каждого поля формы
			var name = $("#name").val();
			var email = $("#email").val();
			var msg = $("#msg").val();
						
			//Проверка заполненно ли текстовое поле
			if(msg == '') {
				alert('Заполните текстовое поле');
			}
			else {
							
				//Перед закрытием окна очищаем текстовое поле
				$("#msg").val('');
				//Закрываем диалог
				$(this).dialog( "close" );
							
				//Показываем пользователю, что идет отправка сообщения
				$("#add_mes").html('Добавление сообщения');
				$("#add_mes").fadeIn(1000, function () {
							
				//Обращаемся к ajax
					$.ajax ({
						type: "POST",
						url: "index.php",
						data: "name="+name+"&email="+email+"&msg="+msg,
						success: function (html) {					
							//Показываем пользователю, что сообщение добавлено
							$("#add_mes").html(html);
							//Скрываем сообщение
							$("#add_mes").fadeOut(2000, function () {
							//Проверяем добавлено ли наше сообщение
							if(html != 'Ошибка!' && html != 'Заполните поле комментария') {
								//Выводим добавленное сообщение на экран
								show_msg();
							}
							});
													
						}		
					});
				});
							
			}
				
		},
					
		"Отмена": function() {
			$( this ).dialog( "close" );
		}
	}
});
	
//Открытие диалогового окна (появление формы)	
$(".open_form").click(function() {
	$("#form_wrap" ).dialog('open');
});

//Удаляем записи с помощью AJAX
	
//производим выборку всех ссылок 
//и вызываем функцию each для прохода по всем элементам выборки
$("strong a").each(function() {
				
	$(this).click(function(event) {
			
		//отменяем переход по ссылке
		event.preventDefault();
		//запоминаем в переменной ссылку 
		//по которой произошел клик мышью		
		var g = $(this);
		//получаем значение атрибута ссылки href
		var href = $(this).attr('href');
		var id = href.substring(4,href.lendth);
		//выводим сообщение что идет удаление 		
		$("#add_mes").html('Удаление сообщения');
		$("#add_mes").fadeIn(500,function() {
			//обращаемся к AJAX
			$.ajax ({
				type: "GET",
				url: "index.php",
				data: "id="+id,
				success: function (msg) {
					//выводим сообщение Сообщение удалено
					$("#add_mes").html('Сообщение удалено');	
					//скрываем сообщение 'Сообщение удалено'
					$("#add_mes").fadeOut(500, function() {
						//Скрываем удаленное сообщение
						g.parents('div').eq(1).hide(500);
					});					
				}
												
			});
					
		});
								
	});	
});		

});

//Функция вывода добавленного сообщения на экран
	function show_msg() {
		$.ajax({
			url: "addmsg.php",
			cashe: false,
			success: function(html) {
				$("#new_msg").prepend(html);
				$("#new_msg div:first-child").hide();
				$("#new_msg div:first-child").fadeIn(500);
					
			}
		});
	}